// Aqui se agregan todos los import de element style
// para proceder en la compilacion del tema de scss a css y poder utilizarlo en el index.

@import "element-style/var-colors";
@import "element-style/extend";
@import "element-style/stage";
@import "element-style/navbar";
@import "element-style/characters";
@import "element-style/dialog";
@import "element-style/sidebar";
@import "element-style/puzzle";
@import "element-style/qeryes";

.color-palette-content {
    margin: auto;
    display: grid;
    height: 13rem;
    align-items: center;
    bottom: -43px;
    position: relative;
    margin-bottom: 1.4rem;
}

.color-palette-content:not(:hover) {
    align-items: end;
}

body:not(.sidebar-active) .color-palette-content {
    z-index: 2000;
}

.color-palette {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(60px, 1fr));
    grid-gap: 10px;
    background: #ffffff;
    padding: 1rem;
    box-shadow: 0 0 0 1px #00000096, 0 13px 0 5px #00000030, 0px 0px 0 4px #00000030;
    border-radius: 0.6rem;
    border: 6px solid transparent;
    height: 111px;
    overflow: auto;
    z-index: 1100;
    transform: perspective(26px) rotateX(4.5deg) translateY(-14px) scale(0.8);
}

.color-palette-content:hover .color-palette {
    transform: perspective(26px) rotateX(1.5deg) scaleY(1.5) translateY(-7px);
}

.color {
    width: 100%;
    height: 20px;
}

.color-palette .color {
    border-radius: 50%;
    border: 1px solid #00000080;
    box-shadow: inset 0px 2px 0 2px #00000063, 0px 1px 0 3px #00000042;
}

// .current-color > span {
//     white-space: pre;
//     top: -31px;
//     position: absolute;
// }

.character-pig.laughing {
    left: 0;
}

.current-color {
    display: flex;
    margin-right: 1rem;
    align-items: center;
    color: #341c0f;
    font-weight: bold;
    font-size: 1.5rem;
    text-transform: capitalize;
}

.current-color .color {
    margin-right: 0.8rem;
    width: 2rem;
    height: 2rem;
    box-shadow: 0 0 0 3px black;
    border: 4px solid white;
    border-radius: 50%;
}

.custom-cursor {
    position: fixed;
    top: 0;
    left: 0;
    width: 0.9rem;
    pointer-events: none;
    z-index: 3000;
}

.color-palette-content:hover ~ .custom-cursor .brush {
    transform: rotate(300deg) translate(-44px, -79px) skewY(-1deg) scale3d(1.8, 1.9, 3.8);
}

.cursor.brush {
    background: linear-gradient(103deg, $wood);
    border-radius: 1rem;
    box-shadow: 0 0 0 1px black;
    transform: translate(-5px, 1px);
}

.cursor.brush:before,
.cursor.brush:after {
    content: "";
    position: absolute;
    width: 1.5rem;
    background: linear-gradient(-92deg, #cd8a18 47%, #f8a519 10%);
    left: -0.25rem;
    box-shadow: inset 0 0 0 1px black;
}

.cursor.brush:before {
    height: 2.2rem;
    bottom: 5px;
    border-radius: 1rem 1rem 0.9rem 0.9rem;
    transform: perspective(10px) rotate3d(-5, -2, 17, -32deg) rotate(32deg) translate3d(19px, 12px, 0px)
        translate(-19px, -12px) scale(0.85);
}

.cursor.brush:after {
    height: 0.5rem;
    border-radius: 1rem;
    bottom: 0;
}

.brush {
    height: 4rem;
}

.brocha {
    position: absolute;
    width: 1.2rem;
    height: 1.5rem;
    bottom: -16.8px;
    border-radius: 1rem 3rem 2rem;
    box-shadow: 0 0 0 1px #4c4c4c;
    transform: translateX(-3px) rotate(230deg);
}

.brocha:before {
    content: "";
    width: 70%;
    height: 70%;
    background: white;
    position: absolute;
    border-radius: 50%;
    bottom: 2.5px;
    right: 0;
}

body .p-tooltip .p-tooltip-text,
body .p-tooltip .p-tooltip-arrow {
    background: var(--tooltip-background);
    color: var(--tooltip-color);
    font-weight: bold;
    text-transform: capitalize;
}

body .p-tooltip {
    pointer-events: none;
}

.load-svg-image svg {
    width: 100%;
    height: 500px;
}

.events-none {
    pointer-events: none;
}

:root {
    --tooltip-background: white;
    --tooltip-color: black;
}

// limites de pantalla en evento mouseover
.guide-lines-cursor {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2000;
    pointer-events: none;
}

.menu-content {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.aguila {    
    background-image: url(../../layout/images/icons/aguila.svg);
    background-size: 8.1rem;
    width: 10rem;
    height: 100%;
    position: absolute;
    background-repeat: no-repeat;
    border-radius: 0 0 29% 51%;
    left: -0.8rem;
}